
Smart Proxy - Bug #18115

Smart proxy - 1.14 - Windows - uninitialized constant error

01/17/2017 03:16 PM - Jack Watroba

Status: Closed   

Priority: Normal   

Assignee:    

Category: Core   

Target version: 1.14.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/495

  

Description

When trying to upgrade from 1.13 to 1.14 smart proxy on Windows 2008R2, I receive the following error when trying to run the proxy:

C:\smart-proxy>bundle exec ruby C:\smart-proxy\bin\smart-proxy

C:/smart-proxy/lib/proxy/log.rb:35:in `<class:LoggerFactory>': uninitialized con

stant Proxy::LoggerFactory::Syslog (NameError)

from C:/smart-proxy/lib/proxy/log.rb:22:in `<module:Proxy>'

from C:/smart-proxy/lib/proxy/log.rb:15:in `<top (required)>'

from C:/smart-proxy/lib/launcher.rb:1:in `require'

from C:/smart-proxy/lib/launcher.rb:1:in `<top (required)>'

from C:/smart-proxy/lib/smart_proxy_main.rb:4:in `require'

from C:/smart-proxy/lib/smart_proxy_main.rb:4:in `<top (required)>'

from C:/smart-proxy/bin/smart-proxy:5:in `require'

from C:/smart-proxy/bin/smart-proxy:5:in `<main>'

 I've tried Ruby 2.3.3. and ruby 2.2.6 and both have this issue. Smart proxy version 1.13 works fine on this machine.

Related issues:

Related to Smart Proxy - Feature #15874: Log X-Request-ID by default Closed 07/28/2016

Associated revisions

Revision 55583fb3 - 01/19/2017 05:49 AM - Dmitri Dolguikh 

Fixes #18115 - Logger is initialized when Syslog isn't available.

History

#1 - 01/17/2017 03:51 PM - Anonymous

- Category set to Core

#2 - 01/18/2017 05:10 AM - Dominic Cleal

- Related to Feature #15874: Log X-Request-ID by default added

#3 - 01/18/2017 05:11 AM - Dominic Cleal

- translation missing: en.field_release set to 210

The constant is referenced without checking if it's defined, or if the syslog library loaded successfully. This was added in #15874.

#4 - 01/18/2017 07:16 AM - Anonymous

- Status changed from New to Assigned

- Assignee set to Anonymous

#5 - 01/18/2017 09:59 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/495 added

#6 - 01/19/2017 06:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 55583fb384a40d6b5126b33a3b44ecc46a44d738.

#7 - 01/31/2017 10:15 AM - Ivan Necas

- Target version set to 1.11.1
